"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Answer_1 = require("types/Answer");
const Nil_1 = require("types/Nil");
const IsThere = require('is-there');
const fs = require('fs');
////////////////////////////////////////////////////////////////////////////////
function fileExistsCheck(done, exists) {
    if (exists == true) {
        done(Nil_1.nil, Answer_1.Answer.Yes);
    }
    else {
        done(Nil_1.nil, Answer_1.Answer.No);
    }
}
function fileExists(done, path) {
    IsThere(path, fileExistsCheck.bind(Nil_1.nil, done));
}
exports.fileExists = fileExists;
function fileExistsSync(path) {
    return fs.existsSync(path);
}
exports.fileExistsSync = fileExistsSync;
exports.default = fileExists;
