"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Nil_1 = require("types/Nil");
const diagnosis_1 = require("diagnosis");
const figlet = require('figlet');
const minimist = require('minimist');
////////////////////////////////////////////////////////////////////////////////
const args = minimist(process.argv.slice(2));
figlet(' envctl', {
    // font: 'Isometric1'
    // font: 'Slant Relief'
    font: 'ANSI Shadow'
}, function done(err, text) {
    if (err == Nil_1.nil) {
        console.log();
        console.log(text);
        console.log();
        diagnosis_1.diag(args);
    }
    else {
        console.error('Oops. Something went wrong.');
        console.dir(err);
    }
});
